=begin
projectEditor_dj v1.65 bata
Copyright  Feb 4, 2013
DukeJazz: by James Cochran

Simple One button, repeat plugin_loader tool. (API inputbox action tools)
Freely use, and abuse at your own risk. Fitness of usage is not warranty implied 

History:
Feb 4, 2013; projectEditor_dj v1.6 bata
-change to a toogle tool bar
-release
=end

require 'sketchup.rb'
Sketchup::require "dj_plugins/dj_tips/tips_dj";UI::Toolbar.new("tips_dj")
Sketchup::require 'dj_plugins/dj_ZoomWindowSelect/zoomZoom_dj';UI::Toolbar.new("zoomZoom_dj")
Sketchup::require 'dj_plugins/dj_scaleGroupFloat/scaleGroupFloat_dj';UI::Toolbar.new("scaleGroupFloat_dj")
Sketchup::require "dj_plugins/dj_sketchup_plus/anotherSketchupPlus_dj";UI::Toolbar.new("anotherSketchupPlus_dj")
Sketchup::require "dj_plugins/dj_another_sketchup/anotherSketchup_dj";UI::Toolbar.new("anotherSketchup_dj")

module DJ
module ProjectEditor
def initialize
@djplugins_x[0] = "projectEditor_dj"
return
end


@djplugins_x = []
@djplugins_x[0] = "projectEditor_dj"


def ProjectEditor.restoreProjectEditorPlugins_dj
Sketchup::require "dj_plugins/dj_tips/tips_dj_loader";UI::Toolbar.new("tips_dj").show
Sketchup::require 'dj_plugins/dj_ZoomWindowSelect/zoomZoom_dj_loader';UI::Toolbar.new("zoomZoom_dj").show
Sketchup::require 'dj_plugins/dj_scaleGroupFloat/scaleGroupFloat_dj_loader';UI::Toolbar.new("scaleGroupFloat_dj").show
Sketchup::require "dj_plugins/dj_sketchup_plus/anotherSketchupPlus_dj_loader";UI::Toolbar.new("anotherSketchupPlus_dj").show
Sketchup::require "dj_plugins/dj_another_sketchup/anotherSketchup_dj_loader";UI::Toolbar.new("anotherSketchup_dj").show
@djplugins_x[0] = "projectEditor_dj"
return
end

def ProjectEditor.hideProjectEditorPlugins_dj
Sketchup::require 'dj_plugins/dj_scaleGroupFloat/scaleGroupFloat_dj_loader';UI::Toolbar.new("scaleGroupFloat_dj").hide;
Sketchup::require "dj_plugins/dj_another_sketchup/another_Sketchup_dj_loader";UI::Toolbar.new("anotherSketchup_dj").hide;
Sketchup::require "dj_plugins/dj_sketchup_plus/anotherSketchupPlus_dj_loader";UI::Toolbar.new("anotherSketchupPlus_dj").hide;
Sketchup::require "dj_plugins/dj_tips/tips_dj_loader";UI::Toolbar.new("tips_dj").hide;
Sketchup::require 'dj_plugins/dj_ZoomWindowSelect/zoomZoom_dj_loader';UI::Toolbar.new("zoomZoom_dj").hide;
@djplugins_x[0] = "hideAllPlugins_dj"
return
end

def ProjectEditor.mainPlugins_dj
#inputbox
#lis=["projectEditor_dj|hideAllPlugins_dj||anotherSketchup_dj|anothersketchupPlus_dj|scaleGroupFloat_dj|zoomZoom_dj|tips_dj"]
#prompts = ["Select plugin"]
#values = [@djplugins_x[0]]
#lists = [lis]
#results = inputbox prompts, values, lists, "projectEditor_dj"
#if not results then return;end 


case @djplugins_x[0].to_s
when "anotherSketchup_dj" then Sketchup::require "dj_plugins/dj_another_sketchup/another_Sketchup_dj_loader";m= UI::Toolbar.new("anotherSketchup_dj");m.show;@djplugins_x[0] = "projectEditor_dj"
when "anothersketchupPlus_dj" then Sketchup::require "dj_plugins/dj_sketchup_plus/anotherSketchupPlus_dj_loader";m= UI::Toolbar.new("anotherSketchupPlus_dj");m.show;@djplugins_x[0] = "projectEditor_dj"
when "projectEditor_dj" then restoreProjectEditorPlugins_dj
when "scaleGroupFloat_dj" then Sketchup::require 'dj_plugins/dj_scaleGroupFloat/scaleGroupFloat_dj_loader';m= UI::Toolbar.new("scaleGroupFloat_dj");m.show;@djplugins_x[0] = "projectEditor_dj"
when "zoomZoom_dj" then Sketchup::require 'dj_plugins/dj_ZoomWindowSelect/zoomZoom_dj_loader';m= UI::Toolbar.new("zoomZoom_dj");m.show;@djplugins_x[0] = "projectEditor_dj"
when "tips_dj" then Sketchup::require "dj_plugins/dj_tips/tips_dj_loader";m= UI::Toolbar.new("tips_dj");m.show;@djplugins_x[0] = "projectEditor_dj"
when "hideAllPlugins_dj" then hideProjectEditorPlugins_dj
end
return
end

def ProjectEditor.plugins_dj
if @djplugins_x[0].to_s == "hideAllPlugins_dj" then @djplugins_x[0] = "projectEditor_dj"
else @djplugins_x[0] = "hideAllPlugins_dj"
end
ProjectEditor.mainPlugins_dj
return
end

def Plugins.contextPlugins_dj
UI.add_context_menu_handler do |context|
m = context.add_submenu("ProjectEditor_dj")
m.add_item("plugins_dj") {ProjectEditor.plugins_dj}
m.add_item("projectEditor_dj") {ProjectEditor.restoreProjectEditorPlugins_dj}
m.add_item("hideAllPlugins_dj") { ProjectEditor.hideProjectEditorPlugins_dj }
m.add_separator
m.add_separator
m.add_item("Paste in place") { AnotherSketchup.youSCF_placer_dj }
m.add_item("Delete and paste in place") { AnotherSketchup.youSCF_Dplacer_dj }
m.add_item("Delete and paste")   { AnotherSketchup.another_place_dj }
m.add_item("Move select") { AnotherSketchup.another_moveSelect_dj }
m.add_item("Send select") { AnotherSketchup.another_sendSelect_dj }
m.add_item("Send all") { AnotherSketchup.another_sendSelectAll_dj }
m.add_item("Select exit") { AnotherSketchup.another_copyExit_dj }
m.add_item("Select all exit") { AnotherSketchup.another_copyAllExit_dj }
m.add_item("Features_dj") { AnotherSketchup.lis_dj }
m.add_separator
m.add_separator
m.add_item("Duplicate select"){ AnotherSketchupPlus.another_sumPaste_dj }
m.add_item("Duplicate all")  { AnotherSketchupPlus.another_copyAllPaste_dj }
m.add_item("Group") { AnotherSketchupPlus.group_dj }
m.add_item("Explode") { AnotherSketchupPlus.explode_dj }
m.add_item("cPoint outside axes") { AnotherSketchupPlus.another_axis_dj }
m.add_item("Ruby script loader") { AnotherSketchupPlus.youSL_loadRubyRepearter_dj }
m.add_item("Open's explorer") { AnotherSketchupPlus.youSU_explorer_dj }
m.add_item("Open's Extensions") { AnotherSketchupPlus.youSU_extSet_dj }
m.add_item("Clear clipboard and Exit") { AnotherSketchupPlus.youSU_clearCbExit_dj }
m.add_item("Clear clipboard") { AnotherSketchupPlus.another_clearCB_dj }
m.add_item("Feature_dj") { AnotherSketchupPlus.lis_anotherSketchup_dj }
m.add_separator
m.add_separator
m.add_item("scaleGroupFloat_dj") { ScaleGroupFloatDJ.scaleGroupFloat_dj }
m.add_item("cumulativeScaler_dj") { ScaleGroupFloatDJ.cumulativejob_dj }
m.add_item("saveTarget1_dj")   { ScaleGroupFloatDJ.save_target1_dj }
m.add_item("moveToTarget1_dj") { ScaleGroupFloatDJ.save_target1_dj }
m.add_item("readOutOfaBbox_dj") { ScaleGroupFloatDJ.read_bbox_dj }
m.add_item("drawBoxPoint_dj") { Sketchup.active_model.select_tool ScaleGroupFloatDJ::DrawBoxPointDJ.new }
m.add_item("repeatUndoTool_dj") { ScaleGroupFloatDJ.repeatUndoTool_dj }
m.add_item("features_dj") { ScaleGroupFloatDJ.listingScaleGroupFloat_dj }
m.add_separator
m.add_separator
m.add_item("ZoomZoomSelect_dj") { ZoomZoom.zoomWindowSelect_dj }
m.add_item("ZoomZoomSelectPolygon_dj") { ZoomZoom.zoomPolygon_dj }
m.add_item("ZoomZoomSelectPushPull_dj") { ZoomZoom.zoomPushPull_dj }
m.add_item("ZoomZoomSelectScale_dj")  { ZoomZoom.zoomScale_dj  }
m.add_item("ZoomZoomSelectMove_dj")  { ZoomZoom.zoomMove_dj }
m.add_item("ZoomZoomSelectRotate_dj")  { ZoomZoom.zoomRotate_dj }
end; #do
end;# def
 
end # module Plugins


 if( not file_loaded? "projectEditor_dj_loader.rb" ) 
Plugins.contextPlugins_dj

m = UI.menu("Plugins").add_submenu("projectEditor_dj")
m.add_item("plugins_dj") {ProjectEditor.plugins_dj}
m.add_item("projectEditor_dj") {ProjectEditor.restoreProjectEditorPlugins_dj}
m.add_item("hideAllPlugins_dj") { ProjectEditor.hideProjectEditorPlugins_dj }
m.add_separator
m.add_separator
m.add_item("Paste in place") { AnotherSketchup.youSCF_placer_dj }
m.add_item("Delete and paste in place") { AnotherSketchup.youSCF_Dplacer_dj }
m.add_item("Delete and paste")   { AnotherSketchup.another_place_dj }
m.add_item("Move select") { AnotherSketchup.another_moveSelect_dj }
m.add_item("Send select") { AnotherSketchup.another_sendSelect_dj }
m.add_item("Send all") { AnotherSketchup.another_sendSelectAll_dj }
m.add_item("Select exit") { AnotherSketchup.another_copyExit_dj }
m.add_item("Select all exit") { AnotherSketchup.another_copyAllExit_dj }
m.add_item("Features_dj") { AnotherSketchup.lis_dj }
m.add_separator
m.add_separator
m.add_item("Duplicate select"){ AnotherSketchupPlus.another_sumPaste_dj }
m.add_item("Duplicate all")  { AnotherSketchupPlus.another_copyAllPaste_dj }
m.add_item("Group") { AnotherSketchupPlus.group_dj }
m.add_item("Explode") { AnotherSketchupPlus.explode_dj }
m.add_item("cPoint outside axes") { AnotherSketchupPlus.another_axis_dj }
m.add_item("Ruby script loader") { AnotherSketchupPlus.youSL_loadRubyRepearter_dj }
m.add_item("Open's explorer") { AnotherSketchupPlus.youSU_explorer_dj }
m.add_item("Open's Extensions") { AnotherSketchupPlus.youSU_extSet_dj }
m.add_item("Clear clipboard and Exit") { AnotherSketchupPlus.youSU_clearCbExit_dj }
m.add_item("Clear clipboard") { AnotherSketchupPlus.another_clearCB_dj }
m.add_item("Feature_dj") { AnotherSketchupPlus.lis_anotherSketchup_dj }
m.add_separator
m.add_separator
m.add_item("scaleGroupFloat_dj") { ScaleGroupFloatDJ.scaleGroupFloat_dj }
m.add_item("cumulativeScaler_dj") { ScaleGroupFloatDJ.cumulativejob_dj }
m.add_item("saveTarget1_dj")   { ScaleGroupFloatDJ.save_target1_dj }
m.add_item("moveToTarget1_dj") { ScaleGroupFloatDJ.save_target1_dj }
m.add_item("readOutOfaBbox_dj") { ScaleGroupFloatDJ.read_bbox_dj }
m.add_item("drawBoxPoint_dj") { Sketchup.active_model.select_tool ScaleGroupFloatDJ::DrawBoxPointDJ.new }
m.add_item("repeatUndoTool_dj") { ScaleGroupFloatDJ.repeatUndoTool_dj }
m.add_item("features_dj") { ScaleGroupFloatDJ.listingScaleGroupFloat_dj }
m.add_separator
m.add_separator
m.add_item("ZoomZoomSelect_dj") { ZoomZoom.zoomWindowSelect_dj }
m.add_item("ZoomZoomSelectPolygon_dj") { ZoomZoom.zoomPolygon_dj }
m.add_item("ZoomZoomSelectPushPull_dj") { ZoomZoom.zoomPushPull_dj }
m.add_item("ZoomZoomSelectScale_dj")  { ZoomZoom.zoomScale_dj  }
m.add_item("ZoomZoomSelectMove_dj")  { ZoomZoom.zoomMove_dj }
m.add_item("ZoomZoomSelectRotate_dj")  { ZoomZoom.zoomRotate_dj }


m= UI::Toolbar.new("projectEditor_dj")
cmd = UI::Command.new("projectEditor_dj") {ProjectEditor.plugins_dj}
cmd.small_icon = "dj_project_editor.png";cmd.large_icon = "dj_project_editor.png"
cmd.tooltip = "projectEditor_dj";cmd.status_bar_text = "Loads Project Editor plugins_dj"
m.add_item(cmd)
m.show
end

#--------------------------------------------------------------------------
file_loaded("projectEditor_dj_loader.rb")
 
end # module DJ
